Bug 1659026 - Drop requirement on sonatype-oss-parent
Summary: Drop requirement on sonatype-oss-parent
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Builtin-Extesnsion.Internal
Version: ---
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ovirt-4.3.0
: ---
Assignee: Martin Perina
QA Contact: Eli Mesika
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-13 11:46 UTC by Sandro Bonazzola
Modified: 2019-02-13 07:45 UTC (History)
2 users (show)

Fixed In Version: ovirt-engine-4.3.0_rc2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-13 07:45:05 UTC
oVirt Team: Infra
rule-engine: ovirt-4.3+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 96617 master MERGED build: Remove reference to sonatype-oss-parent 2019-01-09 08:42:05 UTC

Description Sandro Bonazzola 2018-12-13 11:46:44 UTC
sonatype-oss-parent is used in oVirt Engine at ./backend/manager/modules/extensions-api-root/pom.xml

this library is going to be marked as deprecated in Fedora 30 (https://fedoraproject.org/wiki/Changes/Deprecate_Sonatype_OSS_Parent).

Upstream declares that the project is no longer active or supported
and that the software no longer work with latest Maven and/or Java
versions <ref>https://github.com/sonatype/oss-parents</ref>.  There
has been no development for more than 4 years.

Comment 1 Sandro Bonazzola 2019-02-13 07:45:05 UTC
This bugzilla is included in oVirt 4.3.0 release, published on February 4th 2019.

Since the problem described in this bug report should be
resolved in oVirt 4.3.0 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.